package net.chrisrichardson.foodToGo.order;



import java.io.*;
import net.chrisrichardson.foodToGo.order.*;


public class OrderLineItem  {
    
	private MenuItem menuItem;
	private int quantity;
	private Order order;

	private String name;
	private double price;
	private double extendedPrice;

    
	public OrderLineItem() {
	}

	public OrderLineItem(Order order, MenuItem menuItem, int quantity) {
		this.order = order;
		this.menuItem = (MenuItem) menuItem;
		this.quantity = quantity;
		this.name = menuItem.getName();
		this.price = menuItem.getPrice();
		this.extendedPrice = price * quantity;
	}

	public int getQuantity() {
		return quantity;
	}

	public MenuItem getMenuItem() {
		return menuItem;
	}

	public String getName() {
		return menuItem.getName();
	}

	public double getPrice() {
		return menuItem.getPrice();
	}

}
