package net.chrisrichardson.foodToGo.order.jdoImpl;

import javax.jdo.*;

import net.chrisrichardson.foodToGo.order.*;

public class JDOPendingOrderRepositoryImpl implements PendingOrderRepositoryImpl {

    public PendingOrder createPendingOrder() {
        PendingOrder po = new PendingOrder();
        PersistenceManager pm = PMRegistry.getPM();
		pm.makePersistent(po);
        System.out.println("Creating PendingOrder id = " + pm.getObjectId(po));
        return po;
    }

    public PendingOrder findPendingOrder(String pendingOrderId) {
        System.out.println("findPendingOrder PendingOrder id = " + pendingOrderId);
        PersistenceManager pm = PMRegistry.getPM();
        Object key = pm.newObjectIdInstance(PendingOrder.class, pendingOrderId);
        PendingOrder po = (PendingOrder)pm.getObjectById(key, true);
        return po;
    }

    public String getObjectId(PendingOrder object) {
        PersistenceManager pm = PMRegistry.getPM();
        return pm.getObjectId(object).toString();
    }

}
