package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.io.*;
import java.util.*;

import javax.jdo.*;
import junit.framework.*;

import net.chrisrichardson.foodToGo.order.testImpl.*;

/*
 * Base class for writing JDO test cases
 */
 
public class JDOTestCase extends TestCase {

    protected JDOTestCaseHelper jdoTestHelper;

    protected PersistenceManager pm;

    public JDOTestCase(String name) {
        super(name);
    }

    protected void setUp() throws Exception {
        super.setUp();
        jdoTestHelper = new JDOTestCaseHelper();
        jdoTestHelper.setUp();
        pm = jdoTestHelper.getPm();
    }

    protected void tearDown() throws Exception {
        jdoTestHelper.tearDown();
        super.tearDown();
    }
    

}
