package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.io.*;
import javax.jdo.*;

import net.chrisrichardson.foodToGo.order.*;


/**
 * Implementation for a testing environment
 */

public class JDOTwoTierTxnManager implements TxnManager {
	private PersistenceManagerFactory pmf;

	public JDOTwoTierTxnManager() throws IOException {
		pmf = JDOTestCaseHelper.getPMF();
	}
    
	public void open() {
		PersistenceManager  pm = pmf.getPersistenceManager();
		PMRegistry.setPM(pm);
		pm.currentTransaction().begin();
	}

	public void close() {
		PersistenceManager pm = PMRegistry.getPM();
		PMRegistry.setPM(null);
		pm.currentTransaction().commit();
		pm.close();
	}

}
