package net.chrisrichardson.foodToGo.order.jdoImpl;

import javax.jdo.*;

/*
 * Provides thread specific access to a PersistenceManager
 */
 
public class PMRegistry {

    public static ThreadLocal pmHolder = new ThreadLocal();

    public static PersistenceManager getPM() {
        return ((PersistenceManager) pmHolder.get());
    }

    public static void setPM(PersistenceManager pm) {
        pmHolder.set(pm);
    }


}
