package net.chrisrichardson.foodToGo.orderService.impl;

import net.chrisrichardson.foodToGo.order.*;

/*
 * Base class for managers
 * Provides some useful methods for interacting with the TxnManager
 */
 
public class BasicManager {

    ///

    protected TxnManager tm;

    protected void initialize() {
        tm = TxnManagerFactory.makeTransactionManager();
    }

    protected void close() {
        tm.close();
    }

    protected void open() {
        tm.open();
    }
}
