package net.chrisrichardson.foodToGo.ui.initialization;

import javax.servlet.*;
import javax.servlet.http.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.ui.util.*;

/**
 * Initialzies the repositories and factories
 * with the correct implementation
 */
public class InitializationServlet extends HttpServlet {

	public InitializationServlet() {
		super();
	}

	public void init() throws ServletException {
		super.init();
        DomainConfigurator configurator = (DomainConfigurator) UIConfigurationFactory.getInstance().newInstance("DomainConfiguratorClass", DomainConfigurator.class);
        configurator.configure();
	}

}
