package net.chrisrichardson.foodToGo.creditCardProcessing.testImpl;

import java.util.*;

import net.chrisrichardson.foodToGo.creditCardProcessing.*;


/** 
 * Dummy implementation
 */

public class AuthorizationTransactionTestImpl implements AuthorizationTransaction {
    
    private Date date = new Date();
    private PaymentInformation paymentInformation;
    
    public AuthorizationTransactionTestImpl(PaymentInformation paymentInformation) {
        this.paymentInformation = paymentInformation;
    }

    public int getStatus() {
        return AUTHORIZED;
    }

    public Date getCreationDate() {
        return date;
    }

    public Date getAuthorizationDate() {
        return date;
    }

    public PaymentInformation getPaymentInformation() {
        return paymentInformation;
    }

}
