package net.chrisrichardson.foodToGo.order;

import junit.framework.*;

import net.chrisrichardson.foodToGo.order.testImpl.*;

public class PendingOrderTests extends TestCase {

    public PendingOrderTests(String s) {
        super(s);
    }

    PendingOrderTestHelper testHelper;
    PendingOrderTestData testData;
    
    protected void setUp() throws Exception {
        configureFactories();
        pendingOrder = makePendingOrder();
        testHelper = makePendingOrderTestHelper(pendingOrder);
    }

    protected PendingOrderTestHelper makePendingOrderTestHelper(PendingOrder pendingOrder) {
        return new PendingOrderTestHelper(pendingOrder, testData);
    }

    protected void configureFactories() throws Exception {
        testData = TestDomainConfigurator.initialize();
    }

    protected PendingOrder makePendingOrder() {
        return new PendingOrder();
    }

    PendingOrder pendingOrder;

    public void test_normal() throws Exception {
        testHelper.test_normal();
    }

/*
    public void testChangeDeliveryAddress_compatibleWithSelectedRestaurant()
        throws Exception {
        testHelper.testChangeDeliveryAddress_compatibleWithSelectedRestaurant();
    }

    public void testChangeDeliveryAddress_incompatibleWithSelectedRestaurant()
        throws Exception {
        testHelper.testChangeDeliveryAddress_incompatibleWithSelectedRestaurant();
    }

    public void testUpdateDeliveryAddressAndDate_bad() throws Exception {
        testHelper.testUpdateDeliveryAddressAndDate_bad();
    }

    public void testUpdateRestaurant_incompatibleWithAddress() throws Exception {
        testHelper.testUpdateRestaurant_incompatibleWithAddress();
    }

    public void testUpdateRestaurant_different() throws Exception {
        testHelper.testUpdateRestaurant_different();
    }
*/    

}