package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.util.*;

import net.chrisrichardson.foodToGo.order.*;

/*
 * Creates an order and makes it persistent
 */
 
public class JDOOrderFactoryImpl implements OrderFactoryImpl {

    public String createOrder(PendingOrder pendingOrder) {
        Order order =
            new Order(
                pendingOrder.getDeliveryAddress(),
                pendingOrder.getDeliveryDate(),
                pendingOrder.getRestaurant(),
                pendingOrder.getPaymentInformation());

         for (Iterator it = pendingOrder.getLineItems().iterator(); it.hasNext();) {
            PendingOrderLineItem lineItem = (PendingOrderLineItem) it.next();
            order.add(lineItem.getMenuItem(), lineItem.getQuantity());
        }

       PMRegistry.getPM().makePersistent(order);
        
        return PMRegistry.getPM().getObjectId(order).toString();
    }


}
