package net.chrisrichardson.foodToGo.order.jdoImpl;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.testImpl.*;

public class JDOPendingOrderRepositoryImplTests extends JDOTestCase {

    public JDOPendingOrderRepositoryImplTests(String name) {
        super(name);
    }
    
    public void test() throws Exception {
        JDOPendingOrderRepositoryImpl rep = new JDOPendingOrderRepositoryImpl();
        JDODomainConfigurator conf = new JDODomainConfigurator();
        conf.configure();
        PendingOrder pendingOrder = rep.createPendingOrder();
        assertNotNull(pendingOrder);
        
        int result = pendingOrder.updateDeliveryAddressAndDate(PendingOrderTestData.ADDRESS1,PendingOrderTestData.makeGoodDeliveryTime(), true);
        
        assertEquals(PendingOrder.OK, result);
        
        assertTrue(pendingOrder.updateRestaurant(RestaurantRepository.findRestaurant(PendingOrderTestData.RESTAURANT_ID1)));
    }

}
