package net.chrisrichardson.foodToGo.orderService.jdoImpl;

import java.io.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.jdoImpl.*;
import net.chrisrichardson.foodToGo.orderService.impl.*;

/**
 * This class tests the DBProcessOrderManager against the database
 * using JDO
 */

public class DBProcessOrderManagerJDOTests extends DBProcessOrderManagerTests {

	public DBProcessOrderManagerJDOTests(String s) {
		super(s);
	}


	protected void configure() {
		new JDODomainConfigurator().configure();
		TxnManagerFactory.setImplementation(new JDOTwoTierTxnManagerFactory());
	}


}
