/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;

import net.chrisrichardson.foodToGo.orderService.values.*;

public class PlaceOrderResponse extends ProcessOrderServiceResponse {
    public static final int BAD_STATE = 0;
    public static final int OK = 1;

    private String orderNumber;

    public PlaceOrderResponse() {
    }

    public PlaceOrderResponse(int statusCode, PendingOrderValue pendingOrder, String orderNumber) {
        super(statusCode, pendingOrder);
        this.orderNumber = orderNumber;
    }

    public PlaceOrderResponse(int statusCode, String pendingOrderId, PendingOrderValue pendingOrder, String orderNumber) {
        super(statusCode, pendingOrderId, pendingOrder);
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() {
        return orderNumber;
    }
}
