/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.util;

import java.util.*;
import java.io.*;

public class BaseCollection implements Serializable {
    protected Collection items = new ArrayList();

    public BaseCollection() {
    }

    protected BaseCollection(Collection items) {
        this.items = items;
    }

    public Iterator iterator() {
        return items.iterator();
    }

    public boolean isEmpty() {
        return items.isEmpty();
    }

	public int size() {
		return items.size();
	}


}
